| Home | Libraries | People | FAQ | More

###### basic_multi_buffer::basic_multi_buffer (9 of 10 overloads)

Copy Constructor.

###### Synopsis

    template<
        class OtherAlloc>
    basic_multi_buffer(
        basic_multi_buffer< OtherAlloc > const& other);

###### Description

This container is constructed with the contents of `other` using copy semantics. The maximum size will be the same as the copied object.

###### Parameters

Name | Description
--- | ---
`other` | The object to copy from.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | if `other.size()` exceeds the maximum allocation size of the allocator.